# MoonTools.Easing

[![NuGet Badge](https://buildstats.info/nuget/MoonTools.Easing)](https://www.nuget.org/packages/MoonTools.Easing/)
[![Build Status](https://drone.moonside.games/api/badges/MoonsideGames/MoonTools.Easing/status.svg)](https://drone.moonside.games/MoonsideGames/MoonTools.Easing)

Easing functions for .NET Standard

## Reference

https://easings.net

## Example

Use easing functions to transform time values and get fancy animations along paths.

```cs
using MoonTools;

// Transform a normalized time value.
Easing.InQuad(0.75f); // => 0.5625f

// Transform a time value within a time range.
Easing.InOutSine(3.5, 2, 6); // => 3.2346331352698

// Move within an arbitrary number range based on time.
// (time, start, delta, duration)
Easing.OutQuart(2, 10, 100, 4); // => 103.75
```

## Additional Info

Use this library with [MoonTools.Curve](https://gitea.moonside.games/MoonsideGames/MoonTools.Curve) for some nicely animated Bezier curves!
